TotalRisk {PerformanceAnalytics} | R Documentation

## Total risk of the return distribution

### Description

The square of total risk is the sum of the square of systematic risk and the square of specific risk. Specific risk is the standard deviation of the error term in the regression equation. Both terms are annualized to calculate total risk.

### Usage

    TotalRisk(Ra, Rb, Rf = 0, ...)

### Arguments

`Ra` | an xts, vector, matrix, data frame, timeSeries or zoo object of asset returns
`Rb` | return vector of the benchmark asset
`Rf` | risk free rate, in same period as your returns
`...` | any other passthru parameters

### Details

Total Risk^2 = Systematic Risk^2 + Specific Risk^2

### Author(s)

Matthieu Lestel

### References

Carl Bacon, Practical portfolio performance measurement and attribution, second edition 2008 p.75

### Examples

    data(portfolio_bacon)
    print(TotalRisk(portfolio_bacon[,1], portfolio_bacon[,2])) #expected 0.0134

    data(managers)
    print(TotalRisk(managers['1996',1], managers['1996',8]))
    print(TotalRisk(managers['1996',1:5], managers['1996',8]))

[Package PerformanceAnalytics version 1.5.3 Index]